Name:		bubblewrap
Version:	0.8.0
Release:	2
Summary:	Core execution tool for unprivileged containers
License:	LGPLv2+
URL:		https://github.com/projectatomic/bubblewrap
Source0:	https://github.com/containers/bubblewrap/releases/download/v%{version}/bubblewrap-%{version}.tar.xz
Patch0:         backport-Add--bind-fd-and--ro-bind-fd-to-let-you-bind-a-O_PATH-fd.patch

BuildRequires:	autoconf automake libtool gcc libcap-devel
BuildRequires:  pkgconfig(libselinux) libxslt docbook-style-xsl

%description
There is an effort in the Linux kernel called user namespaces which 
attempts to allow unprivileged users to use container features.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi
%configure --disable-silent-rules --with-priv-mode=none
%make_build

%install
%make_install 
%delete_la

%files
%defattr(-,root,root)
%license COPYING
%{_bindir}/bwrap
%{_datadir}/bash-completion/completions/bwrap
%{_datadir}/zsh/site-functions/_bwrap

%files          help
%defattr(-,root,root)
%doc README.md
%{_mandir}/man1/*

%changelog
* Fri Aug 16 2024 wangkai <13474090681@163.com> - 0.8.0-2
- Add --bind-fd and --ro-bind-fd to let you bind a O_PATH fd for flatpak fix CVE-2024-42472

* Wed Nov 22 2023 konglidong <konglidong@uniontech.com> - 0.8.0-1
- Update version to 0.8.0

* Tue Jun 23 2020 shixuantong <shixuantong@huawei.com> -0.4.1-1
- Update to 0.4.1

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.3.3-1
- Package init
